Subject: Re: [PATCH 3/5] fast-import: clean up pack_data pointer in end_packfile

From: Jeff King <[email-masked]>
Date: Mon, 25 Aug 2014 14:55:34 -0400

On Mon, Aug 25, 2014 at 10:16:52AM -0700, Ronnie Sahlberg wrote:

> Print an error before returning when pack_data is NULL ?

I don't think so. We call end_packfile in some code paths (like the die
handler) as "close if it's open". So I think it makes sense for it to be
a noop if nothing is open.

-Peff